tinysparql (3.8.2-7build1) questing; urgency=medium

  * No-change rebuild for libxml2 soname change.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 22 May 2025 10:24:05 +0200

tinysparql (3.8.2-7) unstable; urgency=medium

  [ Simon McVittie ]
  * d/p/docs-Update-URL-to-libsoup.patch:
    Correct the documentation URL for libsoup
  * d/p/disable-some-failing-tests.patch:
    Improve metadata

  [ Jeremy Bícha ]
  * Run wrap-and-sort

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 22 Mar 2025 14:50:37 -0400

tinysparql (3.8.2-6) unstable; urgency=medium

  * Stop installing the "transitional" libtracker-sparql-3.0-0

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 15 Mar 2025 09:03:49 -0400

tinysparql (3.8.2-5) unstable; urgency=high

  * Move libtracker-http-soup3.so & libtracker-parser-libicu.so
    from libtracker-sparql-3.0-0 to libtinysparql-3.0-0 (Closes: #1099212)
  * Have libtracker-sparql-3.0-dev Depend on libtinysparql-3.0-0
    instead of libtracker-sparql-3.0-0

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 06 Mar 2025 19:03:59 -0500

tinysparql (3.8.2-4) unstable; urgency=high

  [ Simon McVittie ]
  * Move /usr/include/tinysparql-3.0/tracker-*.h to libtinysparql-dev.
    Despite what their names might seem to indicate, these headers are
    all included in <tinysparql.h>, so including these headers without
    a circular dependency requires moving them. This allows the
    dependency on libtracker-sparql-3.0-dev by libtinysparql-dev to be
    removed.
  * d/tests: Verify basic functionality of -dev packages
    (Reproduces: #1098537)
  * libtracker-sparql-3.0-dev: Add missing Depends on libtinysparql-dev
    (Closes: #1098537)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 06 Mar 2025 09:27:20 -0500

tinysparql (3.8.2-3) unstable; urgency=medium

  * Recommends: localsearch (instead of tracker-miner-fs)
  * autopkgtest: extend dh_auto_test timeout multiplier here too

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 20 Feb 2025 06:50:50 -0500

tinysparql (3.8.2-2) unstable; urgency=medium

  * Increase test timeout multiplier to try to help riscv64 build
  * Release to unstable

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 19 Feb 2025 20:36:09 -0500

tinysparql (3.8.2-1) experimental; urgency=medium

  * New upstream release
  * Revert docs workaround from 3.8.1-1: no longer needed
  * Add missing Depends: libtracker-sparql-3.0-dev to libtinysparql-dev
  * Update debian/upstream/metadata
  * Update symbols file to drop symbols that had been accidentally exported
    in earlier 3.8 versions which means they weren't used in Debian yet
  * Bump Standards Version to 4.7.0

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 15 Feb 2025 08:49:03 -0500

tinysparql (3.8.1-1) experimental; urgency=medium

  * Rename to tinysparql (Closes: #1072712)
  * New upstream release
  * Update debian/copyright
  * Add new binary packages
  * Convert tracker and tracker-doc into transitional packages
  * The tracker-test-utils package is no longer provided
  * Remove 2 patches applied in new release
  * Add patch to not build web-ide feature
  * Refresh and extend patch that skips some tests during autopkgtests
  * Files-Excluded: add web-ide to avoid trying to document
    it in debian/copyright

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 11 Dec 2024 18:14:37 -0500

tracker (3.7.3-2) unstable; urgency=medium

  [ Alessandro Astone ]
  * Fix autopkgtests and cherrypick some upstream build fixes
    (Closes: #1068468)

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 09 Jul 2024 23:08:29 +0200

tracker (3.7.3-1) unstable; urgency=medium

  * New upstream release
    - Update for compatibility with SQLite 3.45.3 (Closes: #1069416)
  * Increase build test timeout multiplier to try to help riscv64 build

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 02 May 2024 13:31:35 -0400

tracker (3.7.2-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 01 May 2024 17:30:57 -0400

tracker (3.7.1-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 27 Mar 2024 18:43:13 -0400

tracker (3.7.0-1) unstable; urgency=medium

  * New upstream release
  * Update patch

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 20 Mar 2024 09:31:32 -0400

tracker (3.7~rc-3) unstable; urgency=medium

  [ Helmut Grohne ]
  * Disable build tests when nocheck is set (Closes: #1061464)

  [ Jeremy Bícha ]
  * Release to unstable (Closes: #1065464)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 08 Mar 2024 08:01:20 -0500

tracker (3.7~rc-2) experimental; urgency=medium

  * debian/tests/unit-tests:
    - the autopkgtest are using the upstream buildtests which aren't
      installed tests. The tests setup isn't rebuilding the libraries but
      then LD_LIBRARY_PATH is forced by meson on a local path and not
      considering the system location, which means it doesn't fail the
      needed libraries. Workaround the problem by copying the system
      library to the local path in the unit-tests script. It's not ideal
      but the alternative of rebuilding the library would mean we wouldn't
      be testing the right binaries.

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 07 Mar 2024 10:29:53 +0100

tracker (3.7~rc-1) experimental; urgency=medium

  * New upstream release
  * Drop 3 patches applied in new release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 04 Mar 2024 18:45:58 -0500

tracker (3.7~beta-3) experimental; urgency=medium

  * Add debian/salsa-ci.yml
  * Drop workaround patches for 32-bit build test issues and cherry-pick
    upstream's new fixes instead

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 02 Mar 2024 10:56:27 -0500

tracker (3.7~beta-2) experimental; urgency=medium

  * Revert a commit & 2 fixups that broke build tests on 32-bit
    (Closes: #1035903)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 23 Feb 2024 21:50:34 -0500

tracker (3.7~beta-1) experimental; urgency=medium

  * New upstream release
  * debian/libtracker-sparql-3.0-0.symbols: Add new symbols
  * debian/tracker.install: Install additional binaries
  * debian/tracker.install: /usr/libexec/tracker-3 is no longer provided
  * Add/restore patch to use bash because of bashisms in scripts

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 19 Feb 2024 17:30:58 -0500

tracker (3.6.0-1) experimental; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 18 Sep 2023 15:38:11 -0400

tracker (3.6~rc-1) experimental; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 08 Sep 2023 11:08:03 -0400

tracker (3.6~beta-1) experimental; urgency=medium

  * New upstream release
  * Drop /usr/bin/env patch applied in new release
  * debian/libtracker-sparql-3.0-0.symbols: Add new symbol

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 10 Aug 2023 20:58:41 -0400

tracker (3.5.3-1) experimental; urgency=medium

  * New upstream release
    - Fix datetime issues for 32-bit architectures (Closes: #1035903)
  * Add patch to use full /usr/bin/env path instead of /bin/env

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 01 Jun 2023 09:59:18 -0400

tracker (3.5.2-1) experimental; urgency=medium

  * New upstream release
  * debian/control.in: Build-Depend on graphviz for docs build
  * debian/copyright: Add generated docs to Files-Excluded

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 14 May 2023 16:32:04 -0400

tracker (3.5.1-1) experimental; urgency=medium

  * New upstream release
  * Drop patch applied in new release
  * Add debian/upstream/metadata
  * Update renamed lintian tag names in lintian overrides
  * Update standards version to 4.6.2, no changes needed

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 10 May 2023 16:22:40 -0400

tracker (3.5.0-1) experimental; urgency=medium

  * New upstream release
  * Cherry-pick build test fix
  * Build-Depend on gi-docgen
  * debian/libtracker-sparql-3.0-0.install: Install newly split out ICU
    parser plugin
  * deibn/libtracker-sparql-3.0-0.symbols: Add new symbol

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sun, 26 Mar 2023 17:11:34 -0400

tracker (3.5.0~beta-1) experimental; urgency=medium

  * New upstream release
  * debian/libtracker-sparql-3.0-0.symbols: Add new symbols
  * Refresh patch

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 15 Feb 2023 10:18:00 -0500

tracker (3.4.2-3) unstable; urgency=medium

  [ Manuel A. Fernandez Montecelo ]
  * Increase dh_auto_test timeout (Closes: #1026236)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 27 Jun 2023 12:09:03 -0400

tracker (3.4.2-2) unstable; urgency=medium

  * Cherry-pick proposed patch to fix tests with sqlite 3.42
  * debian/gbp.conf: Branch for trixie

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 27 Jun 2023 09:47:27 -0400

tracker (3.4.2-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 06 Dec 2022 16:51:16 -0500

tracker (3.4.0-1) unstable; urgency=medium

  * New upstream release
  * debian/control.in: Bump Standards-Version to 4.6.1

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 19 Sep 2022 10:29:02 -0400

tracker (3.4.0~rc-2) unstable; urgency=medium

  * debian/rules: Don't ignore build test failures

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 07 Sep 2022 12:23:32 -0400

tracker (3.4.0~rc-1) unstable; urgency=medium

  * New upstream release
  * debian/control.in: Bump minimum meson to 0.53

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 07 Sep 2022 08:45:46 -0400

tracker (3.4.0~beta-2) unstable; urgency=medium

  * Release to unstable

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 25 Aug 2022 04:48:59 -0400

tracker (3.4.0~beta-1) experimental; urgency=medium

  * New upstream release
  * debian/libtrakcer-sparql-3.0-0.install: Update
  * debian/libtracker-sparql-3.0-0.symbols: Update

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 24 Aug 2022 10:27:03 -0400

tracker (3.3.3-1) unstable; urgency=medium

  [ Jeremy Bicha ]
  * New upstream release
  * Build with libsoup3
  * debian/control.in: Build-Depend on libxml2-dev

  [ Paul Gevers ]
  * tests: conditionally skip some tests under autopkgtest as they fail
    (Closes: #903374)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 19 Aug 2022 12:03:40 -0400

tracker (3.3.2-1) unstable; urgency=high

  * New upstream release
  * Drop patch: applied in new release
  * Release to unstable

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 03 Aug 2022 08:41:38 -0400

tracker (3.3.1-2) experimental; urgency=medium

  * Cherry-pick patch to fix starred feature in Nautilus

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 14 Jun 2022 13:26:18 -0400

tracker (3.3.1-1) experimental; urgency=medium

  * Team upload
  * New upstream release

 -- Nathan Pratta Teodosio <nathan.teodosio@canonical.com>  Wed, 01 Jun 2022 15:01:44 -0300

tracker (3.3.0-1) experimental; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 21 Mar 2022 12:14:08 -0400

tracker (3.3.0~rc-1) experimental; urgency=medium

  * New upstream release
  * debian/rules: Explicitly only build the libsoup2 version for now
  * debian/control.in: Build-Depend on asciidoc-base instead of asciidoc

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 16 Mar 2022 11:40:36 -0400

tracker (3.3.0~beta-1) experimental; urgency=medium

  * New upstream release
  * debian/libtracker-doc.install: Update
  * debian/control.in: Drop obsolete Build-Depends on gtk-doc-tools
  * debian/libtracker-sparql-3.0-0.install: Install temporary libsoup2 library
  * debian/libtracker-sparql-3.0-0.symbols: Update

 -- Jeremy Bicha <jeremy.bicha@canonical.com>  Thu, 24 Feb 2022 11:53:00 -0500

tracker (3.1.2-4) unstable; urgency=medium

  [ Jeremy Bicha ]
  * Revert "debian/rules: Completely disable the tests if nocheck option is
    used"
  * debian/libtracker-sparql-3.0-0.symbols: Add new symbols (Closes: #997451)

  [ Laurent Bigonville ]
  * debian/rules: Drop configure options that have been removed upstream
  * debian/tests/unit-tests: Sync the configure options with the ones in
    debian/rules
  * d/control.in: tracker-test-utils requires libglib2.0-bin for gsettings executable

 -- Jeremy Bicha <jeremy.bicha@canonical.com>  Wed, 09 Feb 2022 08:16:32 -0500

tracker (3.1.2-3) unstable; urgency=medium

  * debian/rules: Fix bash-completion directory path

 -- Laurent Bigonville <bigon@debian.org>  Fri, 17 Sep 2021 10:59:16 +0200

tracker (3.1.2-2) unstable; urgency=medium

  * Properly remove /etc/xdg/autostart/tracker-store.desktop on upgrade
    (Closes: #970636)
  * debian/rules: Completely disable the tests if nocheck option is used

 -- Laurent Bigonville <bigon@debian.org>  Thu, 16 Sep 2021 16:02:01 +0200

tracker (3.1.2-1) unstable; urgency=medium

  * New upstream release
  * Drop all patches: applied in new release
  * debian/control.in: Bump minimum libjson-glib-dev to 1.4.0

 -- Jeremy Bicha <jbicha@debian.org>  Thu, 09 Sep 2021 02:35:52 -0400

tracker (3.1.1-3) unstable; urgency=medium

  * Upload to unstable

 -- Jeremy Bicha <jbicha@debian.org>  Mon, 30 Aug 2021 22:46:49 -0400

tracker (3.1.1-2) experimental; urgency=medium

  * Cherry-pick upstream mr !401 to port to using GDateTime. This fixes an
    overflow error on 32 bit systems

 -- Iain Lane <laney@debian.org>  Tue, 20 Jul 2021 11:32:20 +0100

tracker (3.1.1-1) experimental; urgency=medium

  * New upstream release (Closes: #964376)
  * debian/patches/*: Refresh for tracker 3
    - drop-assert.patch: Drop, let's try without now
    - libtracker-miners-common-Make-g_error-a-soft-error.patch: This code is
      gone.
    - Revert-build-Include-libdir-in-rpath.patch: Refresh
  * rules:
    - Update configure flags, enable bash-completion
    - Drop unneded dh_install override
    - Drop dbg → dbgsym transitional code. The transition is well in the past
      now.
  * debian/various: Update to 3.0.
    - Update all 2.0 references to 3.0
    - Drop libtracker-miner, libtracker-control which are dropped upstream
    - Stop installing things which no longer exist, and install things which
      are new
  * libtracker-sparql-3.0-0.symbols: Update with added/dropped symbols in
    Tracker 3.
  * Fix up autopkgtest for new config options and drop ADTTMP.
  * control: Set Rules-Requires-Root to no - it's not needed.
  * control, rules: Bump to compat 13.
    - Use dh-sequence-{gir,gnome} instead of --with=
    - No need to override dh_missing to add --fail-missing any more; this is
      the default now
    - No need to set HOME and XDG_RUNTIME_DIR for the dh_auto_test override,
      and no need to explicitly check for `nocheck` any more.
  * control update BDs:
    - add asciidoc; required for the build
    - add python3-tap; needed for the tests
    - Drop Provides from gir1.2-tracker-3.0 for .gir files that are
      dropped

 -- Iain Lane <laney@debian.org>  Wed, 23 Jun 2021 17:34:20 +0100

tracker (2.3.6-2) unstable; urgency=medium

  * debian/rules:
    - build without Bsymbolic and strip Bsymbolic-function, fixes the
      tracker search hanging on Ubuntu (lp: #1861358)

 -- Sebastien Bacher <seb128@debian.org>  Thu, 17 Sep 2020 16:18:10 +0200

tracker (2.3.6-1) unstable; urgency=medium

  * debian/watch: Try to match tracker-2 only. We'll need to branch for
    tracker-3.
  * New upstream release
    + Add 'tracker export' subcommand to ease migration to 3.x
    + Do not autostart tracker-store
    + get the systemd user unit dir from pkg-config
    + Replace sensitive terms
    + Use correct signature for DBusSignalCallback
  * tracker.install: Install tracker-export manpage
  * tracker.install: Drop XDG autostart file for tracker-store. Dropped
    upstream, tracker uses DBus activation

 -- Iain Lane <laney@debian.org>  Tue, 15 Sep 2020 17:20:32 +0100

tracker (2.3.4-1) unstable; urgency=medium

  [ Olivier Tilloy ]
  * New upstream release

  [ Laurent Bigonville ]
  * debian/control.in: Bump Standards-Version to 4.5.0 (no further changes)

 -- Laurent Bigonville <bigon@debian.org>  Mon, 16 Mar 2020 11:26:55 +0100

tracker (2.3.2-1) unstable; urgency=medium

  [ Laurent Bigonville ]
  * Bump debhelper compatibility to 12
  * Move the daemons to /usr/libexec now that this is allowed in the debian
    policy

  [ Olivier Tilloy ]
  * New upstream release (Closes: #952789)

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Tue, 03 Mar 2020 11:52:07 +0100

tracker (2.3.1-3) unstable; urgency=medium

  * debian/rules: Make the tests failure non-fatal again, they are definitely
    not stable on all architectures,
    see: https://gitlab.gnome.org/GNOME/tracker/issues/108 (Closes: #945830)

 -- Laurent Bigonville <bigon@debian.org>  Sat, 18 Jan 2020 22:37:01 +0100

tracker (2.3.1-2) unstable; urgency=medium

  * debian/patches/Use-ifdef-with-config.h-define-variable-HAVE_STATVFS64.patch:
    Fix FTBFS on non-linux architectures
  * debian/rules: Disable the parallel execution of the tests, let's hope it
    will fix the FTBFS
  * debian/control.in: Bump Standards-Version to 4.4.1 (no further changes)
  * Drop unused lintian overrides

 -- Laurent Bigonville <bigon@debian.org>  Sat, 18 Jan 2020 15:48:08 +0100

tracker (2.3.1-1) unstable; urgency=medium

  * autopkgtest: drop obsolete/duplicated dependencies.
    Thanks to Laney for the suggestions and guidance. (Closes: #943291)
  * autopkgtest: also drop dbus-x11 dependency
  * New upstream release

 -- Andreas Henriksson <andreas@fatal.se>  Fri, 25 Oct 2019 12:11:58 +0200

tracker (2.3.0-1) experimental; urgency=medium

  * New upstream release
    - Handle circular references in TrackerResource
    - Handle application/x-zero-size
    - Documentation improvements
    - Make tracker_sparql_escape_string() escape single quotes
    - Don't make tracker:referenceSource a subproperty of nie:identifier
  * Refresh patches:
    - d/p/file-utils-test-application-x-zerosize-is-a-valid-mime-fo.patch,
    - d/p/meson-Don-t-install-libtracker-common-static-library.patch:
      + Removed, applied upstream
  * debian/rules: Don't install trackertestutils files since we don't have an
    appropriate package currently, and they aren't needed by tracker-miners
    right now.

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Thu, 19 Sep 2019 10:19:44 +0100

tracker (2.2.99.0-1) experimental; urgency=medium

  [ Marco Trevisan (Treviño) ]
  * New upstream release
    - Support for storing Musicbrainz metadata in the multimedia ontology.
    - Fix detection of files that need writeback
    - Fix crashes and invalid memory writes
    - Fixed initialization of virtual tables
    - Fixed segmentation fault in libtracker-miner
    - Don't try to create JSON-LD nodes with unsigned integers
    - Handle correctly backreferences in TrackerResource tree
    - Fixed handling doubles with exponents in SPARQL
    - Don't limit to specific desktop environments
  * Refresh patches
  * d/p/disable-miner-fs-test.patch:
    - Remove as the test now works correctly
  * d/p/file-utils-test-application-x-zerosize-is-a-valid-mime-fo.patch:
    - Support application/x-zerosize as valid mime type
  * d/p/meson-Don-t-install-libtracker-common-static-library.patch:
    - Don't install libtracker-common static library
  * debian/control: BD on python3-gi in case we're running tests
  * debian/rules:
    - Set XDG_RUNTIME_DIR and HOME when running tests
    - Fail build on tests failures
  * libtracker-sparql-2.0-0.install: Don't install libtracker-common anymore
  * debian/tracker.docs: Use README.md

  [ Iain Lane ]
  * debian/rules: Don't run dh_auto_test if nocheck is set in
    DEB_BUILD_OPTIONS
  * Create the home directory and XDG_RUNTIME_DIR for the tests
  * Revert "build: Include libdir in rpath" This reverts commit
    a92309f9cf9099a8b0b54908e032dcb181ab6c63. We don't want these in rpath on
    Debian; the standard libdir is in the search path.

 -- Iain Lane <laney@debian.org>  Tue, 03 Sep 2019 17:42:52 +0100

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog libtinysparql-dev`.
